Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TInvoke

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TInvokeImpl

    public interface TInvoke

extends org.apache.xmlbeans.XmlObject

An XML tInvoke(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static interface` | `TInvoke.Binding` An XML binding(@http://www.apache.org/ode/schemas/dd/2007/03).
`static class` | `TInvoke.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TInvoke.Binding` | `addNewBinding()` Appends and returns a new empty "binding" element
`TService` | `addNewService()` Appends and returns a new empty "service" element
`TInvoke.Binding` | `getBinding()` Gets the "binding" element
`java.lang.String` | `getPartnerLink()` Gets the "partnerLink" attribute
`TService` | `getService()` Gets the "service" element
`boolean` | `isSetBinding()` True if has "binding" element
`boolean` | `isSetService()` True if has "service" element
`void` | `setBinding(TInvoke.Binding binding)` Sets the "binding" element
`void` | `setPartnerLink(java.lang.String partnerLink)` Sets the "partnerLink" attribute
`void` | `setService(TService service)` Sets the "service" element
`void` | `unsetBinding()` Unsets the "binding" element
`void` | `unsetService()` Unsets the "service" element
`org.apache.xmlbeans.XmlString` | `xgetPartnerLink()` Gets (as xml) the "partnerLink" attribute
`void` | `xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)` Sets (as xml) the "partnerLink" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getService

    TService getService()

  Gets the "service" element

### isSetService

    boolean isSetService()

  True if has "service" element

### setService

    void setService(TService service)

  Sets the "service" element

### addNewService

    TService addNewService()

  Appends and returns a new empty "service" element

### unsetService

    void unsetService()

  Unsets the "service" element

### getBinding

    TInvoke.Binding getBinding()

  Gets the "binding" element

### isSetBinding

    boolean isSetBinding()

  True if has "binding" element

### setBinding

    void setBinding(TInvoke.Binding binding)

  Sets the "binding" element

### addNewBinding

    TInvoke.Binding addNewBinding()

  Appends and returns a new empty "binding" element

### unsetBinding

    void unsetBinding()

  Unsets the "binding" element

### getPartnerLink

    java.lang.String getPartnerLink()

  Gets the "partnerLink" attribute

### xgetPartnerLink

    org.apache.xmlbeans.XmlString xgetPartnerLink()

  Gets (as xml) the "partnerLink" attribute

### setPartnerLink

    void setPartnerLink(java.lang.String partnerLink)

  Sets the "partnerLink" attribute

### xsetPartnerLink

    void xsetPartnerLink(org.apache.xmlbeans.XmlString partnerLink)

  Sets (as xml) the "partnerLink" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD